
body > header {
    padding: 0;
}

.loading {
    display: flex;
    justify-content: center;
    padding: 1rem;
}

nicemobil-live > p {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

table {
    display: table;
    width: 100%;
}

table svg {
    position: relative;
    top: .125rem;
    height: 1rem;
    width: 1rem;
    stroke: currentColor;
    fill: transparent;
    stroke-width: 2;
}

#map {
    height: 50vh;
}

#map .leaflet-marker-icon {
    background-color: transparent;
}

#map .leaflet-control-zoom-in,
#map .leaflet-control-zoom-out {
    margin: 0;
    padding: 0;
    border-radius: 0;

    &:hover {
        filter: none;
    }
}

#map .leaflet-control-zoom-out:hover {
    filter: none;
}

.teslaGraphic {
    color: var(--border);
}


.status {
    display: inline-block;
    align-self: flex-start;
    position: relative;
    background: var(--text-light);
    color: var(--bg);
    padding: .5rem 1rem .5rem 2.2rem;
    border-radius: .5rem;
}


@keyframes glow {
    from {
        box-shadow: 0 0 8px 2px red;
        opacity: 1;
    }

    to {
        box-shadow: 0 0 8px 0 red;
        opacity: .8;
    }
}

.status:before {
    content: '';
    position: absolute;
    width: 8px;
    height: 8px;
    background: red;
    border-radius: 8px;
    box-shadow: 0 0 8px 2px red;
    left: 1rem;
    top: calc(50% - 4px);
    animation-duration: 1.5s;
    animation-name: glow;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
}

.status.offline:before {
    background: gray;
    box-shadow: none;
    animation: none;
}

.iconList {
    display: flex;
    font-size: 1rem;
    margin-bottom: 1rem;
}

.icon {
    flex: 33%;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: .5rem;
}

.icon svg {
    height: 2rem;
}


.battery {
    display: inline-block;
    position: relative;
    height: 2rem;
    width: 5rem;
    border: 2px solid var(--border);
    border-radius: 6px;
}

.battery:after {
    content: "";
    position: absolute;
    display: block;
    height: 1rem;
    width: .35rem;
    top: calc(50% - 0.5rem);
    left: 100%;
    background: var(--border);
}

.battery__level {
    display: inline-block;
    background: rgb(66, 224, 0);
    border-radius: 4px;
    height: 100%;
}

.battery__label {
    height: 100%;
    padding: 1px;
    font-size: 1rem;
    overflow: visible;
    white-space: nowrap;
    text-align: center;
    text-shadow: 0 0 5px var(--bg);
}


@keyframes charging {
    from {
        box-shadow: 0 0 8px 0 rgb(57, 173, 0);
    }

    to {
        box-shadow: 0 0 8px 4px rgb(57, 173, 0);
    }
}

.battery__level.charging {
    animation-duration: 1.5s;
    animation-name: charging;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: ease-in-out;
}

.battery__level.high {
    background: rgb(87, 161, 50);
}

.battery__level.medium {
    background: rgb(220, 125, 0);
}

.battery__level.low {
    background: rgb(187, 13, 13);
}

